Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.event
Class SlotAdapter

    java.lang.Object
      edu.stanford.smi.protege.event.SlotAdapter

All Implemented Interfaces:
  SlotListener, EventListener

    public abstract class SlotAdapter

extends Object
implements SlotListener

Adapter for the SlotListener interface. If you don't want to handle all of the slot events then subclass this class.

Author:
  Ray Fergerson

Constructor Summary
`SlotAdapter()`

Method Summary
`void` | `directSubslotAdded(SlotEvent event)`
`void` | `directSubslotMoved(SlotEvent event)`
`void` | `directSubslotRemoved(SlotEvent event)`
`void` | `directSuperslotAdded(SlotEvent event)`
`void` | `directSuperslotRemoved(SlotEvent event)`
`void` | `templateSlotClsAdded(SlotEvent event)`
`void` | `templateSlotClsRemoved(SlotEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SlotAdapter

    public SlotAdapter()

Method Detail

### templateSlotClsAdded

    public void templateSlotClsAdded(SlotEvent event)

  Specified by:
    `templateSlotClsAdded` in interface `SlotListener`

### templateSlotClsRemoved

    public void templateSlotClsRemoved(SlotEvent event)

  Specified by:
    `templateSlotClsRemoved` in interface `SlotListener`

### directSubslotAdded

    public void directSubslotAdded(SlotEvent event)

  Specified by:
    `directSubslotAdded` in interface `SlotListener`

### directSubslotRemoved

    public void directSubslotRemoved(SlotEvent event)

  Specified by:
    `directSubslotRemoved` in interface `SlotListener`

### directSubslotMoved

    public void directSubslotMoved(SlotEvent event)

  Specified by:
    `directSubslotMoved` in interface `SlotListener`

### directSuperslotAdded

    public void directSuperslotAdded(SlotEvent event)

  Specified by:
    `directSuperslotAdded` in interface `SlotListener`

### directSuperslotRemoved

    public void directSuperslotRemoved(SlotEvent event)

  Specified by:
    `directSuperslotRemoved` in interface `SlotListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.